/* $Id:*/
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/cost-allocation.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/cost-allocation.xml',
'<View title="{message.XXAS_COST_TITLE}" showSubmit="true" defaultFormHandler="xxas_cost_allocation_pkg.cost_allocation_multirow">

   <EditFields>
		
		<Hidden id="PERSON_ID" />
		<Hidden id="ASSIGNMENT_ID" />
		<Hidden id="BUSINESS_GROUP_ID" />
        <Poplist id="EFFECTIVE_DATE_OPTION" label="{message.XXAS_MSS_EFFECTIVE_DATE_OPTION}" visible="true" required="true" listProvider="LOOKUP_TYPE:XXAS_MSS_EFFECTIVE_DATE_OPTION" enabled="true"/>
        <Date id="EFFECTIVE_FROM_LDW" enabled="true" label="{message.XXAS_MSS_EFFECTIVE_DATE}" visible="true" required="true" hideIf="!model.EFFECTIVE_DATE_OPTION.value || model.EFFECTIVE_DATE_OPTION.value.id == &apos;A&apos;" triggerName="COST_ALLOCATION_DETAILS" triggerMethod="POST" value="sysdate"/>
      <Date id="EFFECTIVE_FROM_FAD" enabled="false" label="{message.XXAS_MSS_EFFECTIVE_DATE}" visible="false" hideIf="!model.EFFECTIVE_DATE_OPTION.value || model.EFFECTIVE_DATE_OPTION.value.id == &apos;E&apos;"/>
      
		<MultiRow id="CA_DETAILS" createAllowed="true" createLabel="{message.XXAS_COST_ADD}" visible="true" includeEmptyRow="true" xdbUri="/public/xxas/emp/view/cost-allocation-fields.xml" formulaName="XXAS_COST_ALLOCATION_EDIT" hideIf="(!model.EFFECTIVE_DATE_OPTION.value)"/>
			
   </EditFields>

</View>' );
  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/cost-allocation.xml');
END;
/
COMMIT;
EXIT;
